Q: I am using MacMinix (or some other version 1.5 Minix). How can I 
install Minix 2.0 man pages?

A: MacMinix and other versions of Minix 1.5 don't have online man
pages, because these versions were originally sold along with an
extensive reference manual, which included a printed version of the man
pages.  You can, however, get man pages from various net sources, or
the Minix 2.0 CD-ROM, and use them with an older version.  Minix 2.0
has more commands (and much more on-line documentation) than Minix 1.5,
but the simple man pages for most of the basic commands (those in the
man0 directory) will generally be helpful as a guide to the options
available with older versions of Minix.

The man pages generally available on the net are collections of small
files, one topic per file, as are used by versions of Minix from 1.6
on, and by most Unix-like systems.  Earlier versions of Minix used a
different format, in which all the man "pages" in a section are
concatenated into a single large file.  This makes it possible to
create an index and to see a menu of available choices in response to
the man command with no arguments.  This works like the MS-DOS help
command, and in fact the command name in the earliest versions of Minix
was "help".  Users of Minix 1.5 who get newer man pages from the net
need to know how the concatenated files are made. 

There isn't any documentation on the format of Minix 1.5 man files except
what is inherent in the Minix 1.5 man.c source.  The man files consist of
keyword lines that begin with a "#" in the first column, followed by lines
of text to be displayed when one of the keywords in the preceding keyword
line is selected from the keyword menu or as an argument to the man
command.  The keyword lines are not displayed, but all lines of text up to
but not including the next keyword line will be displayed. Thus, to make 
a Minix 1.5 man file from the files,


New articles
may be added to a man file by concatenation, but if a keyword appears more
than once only the last reference will be displayed. 

In use, the Minix 1.5.10 man command expects to find files man<n> in
the directory/usr/man. The command format is 
	man [<arg1> [arg2]]

If the command is given with no arguments a menu of the keywords in man1
is presented.

If the commmand is given with one argument, if the argument is a <n> suffix
of a man<n> file in /usr/man a menu of the keywords in man<n> is presented.

If the commmand is given with one argument, if the argument is not a <n>
suffix of a man<n> file in /usr/man a search is made for an article with a 
keyword corresponding to arg1 in man1.

If the command is given with two arguments the first argument is used to select
a file man<arg1> and the second argument is the keyword to search for.

Articles can be paged through using the Enter key.  Presentation of an
article may be interrupted by the Delete or Q keys.  When in menu mode
the menu will be presented each time an article is complete. The 
Delete or Q keys will exit from the menu back to the command line
prompt.  Over a network connection the Delete key may not work, but the
Q key will continue to function. 
-------------







